import { SimpleLocalIntegration } from '../../core/index.js';
import { LitejetConfigFlow } from './litejet.classes.configflow.js';
import { createLitejetDiscoveryDescriptor } from './litejet.discovery.js';
import type { ILitejetConfig } from './litejet.types.js';
import { litejetDomain, litejetProfile } from './litejet.types.js';

export class LitejetIntegration extends SimpleLocalIntegration<ILitejetConfig> {
  public readonly domain = litejetDomain;
  public readonly discoveryDescriptor = createLitejetDiscoveryDescriptor();
  public readonly configFlow = new LitejetConfigFlow();

  constructor() {
    super(litejetProfile);
  }
}
